> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Update pickup information of an order

> Updates pickup information of a specific order by order ID.



## OpenAPI

````yaml oms_v2_combined patch /order/{orderId}/shipto/{shipToId}/pickup
openapi: 3.0.1
info:
  title: Orders v2 (OMS v2)
  description: >-
    fabric's OMS v2 APIs are high performance endpoints are built on highly
    scalable architecture, and include a configurable data model to orchestrate
    the order fulfillment process. These APIs let merchants create order
    records, initiate post-order process workflows and manage order related data
    such as, invoicing, tracking, returns, exchange, cancellation, appeasements,
    backorders, shipment and other use cases.
  termsOfService: https://fabric.inc/terms-of-use
  contact:
    email: support@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
  version: 2.0.0
servers:
  - url: https://prod01.oms.fabric.inc/api/v2
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Allocation
    description: Endpoints to perform allocation operations
  - name: Appeasement
    description: >-
      Appeasement refers to a goodwill credit applied to a fulfilled order when
      customer faces difficulties for an order, for example late delivery,
      received damaged product, and like wise.  This endpoint help in creating
      appeasement for customer orders.
  - name: Package Tracking
    description: Package Tracking endpoint helps in performing package tracking operations
  - name: Payment Status
    description: This endpoint helps in retrieving payment status for an order
  - name: Order Cancellation
    description: These endpoints help in performing order cancellation operations
  - name: Order
    description: >-
      An order is a customer's request to purchase one or more products from a
      shop or from a website. Order endponts let merchants get order details,
      create, update, and delete orders.
  - name: Order Attribute
    description: These endpoints help in performing attribute operations for an order
  - name: Order Return
    description: These endpoints help in performing order Return operations
  - name: Cross Border
    description: >-
      Cross Border service provides capabilities related to orders that have
      international shipping. These endpoints help in performing cross border
      operations.
  - name: BackOrder PreOrder Reservation
    description: >-
      These Endpoints help in performing BackOrder PreOrder Reservation
      operations
  - name: Configuration
    description: >-
      These endpoints help in performing CRUD operations on tenant
      configurations
  - name: Target Configuration
    description: >-
      These endpoints help in performing CRUD operations on Target
      configurations
  - name: Fraud Configuration
    description: These endpoints help in performing CRUD operations on Fraud configurations
  - name: Fraud
    description: These endpoints help in managing fraud release and cancel operation
  - name: Export
    description: These endpoints help in performing export operations
  - name: Inventory Network
    description: >-
      Network refers to a group of locations having a group of SKUs in each
      location. Network endpoints let you read, create, and manage an
      inventory-network by location, brand, or any other custom attributes.
  - name: Inventory
    description: >-
      These endpoints let you read, create and bulk update inventory across all
      locations.
  - name: Inventory Upload Log
    description: These endpoints let you view the record of the inventory uploads.
  - name: Inventory Bulk Operation
    description: >-
      Bulk Operation endpoints let you upload and download inventory details, in
      bulk, using a  CSV file to and from AWS (Amazon Web Service) server
      presigned S3 URL that is generated from the Order service.
  - name: Inventory Attribute
    description: >-
      Attribute refers to a set of characteristics that define inventory.
      Attribute endpoints let you create, read, update, and delete inventory
      attributes at any hierarchy level (location, SKU, item, channel) or at
      counter level.
  - name: Inventory Counter
    description: >-
      Counter refers to inventory positions such as, available, in-transit,
      on-hand, or other custom positions. These endpoints let you read, update,
      and create custom counters that suit your business use case.
  - name: Invoice
    description: These endpoints help in generating the invoices
  - name: List
    description: To create and manage lists
  - name: Location
    description: Location endpoints let you create, read, update, and delete location.
  - name: Location Attribute
    description: >-
      Location attribute endpoints let you create, read, update, and delete
      location attributes. These location attributes are used while creating or
      updating locations. When the attribute is configured  as required, it is
      mandatory to add the attribute while creating location.
  - name: Shipment
    description: To provides real time update of shipments
  - name: Shipping Method
    description: Endpoints to perform operations related to shipping methods
  - name: Webhook
    description: >-
      These endpoints help in performing CRUD operations on webhook
      subscriptions
paths:
  /order/{orderId}/shipto/{shipToId}/pickup:
    patch:
      tags:
        - Order
      summary: Update pickup information of an order
      description: Updates pickup information of a specific order by order ID.
      operationId: updatePickInfoInOrder
      parameters:
        - name: orderId
          in: path
          required: true
          schema:
            type: string
            example: b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569
        - name: shipToId
          in: path
          required: true
          schema:
            type: string
            example: 5349b4ddd2781d08c09890f4
        - $ref: '#/components/parameters/xSiteContent'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              description: Details of the person who picks up the order
              properties:
                name:
                  type: object
                  description: Name for order details
                  properties:
                    first:
                      type: string
                      example: John
                    middle:
                      type: string
                      example: Middle
                    last:
                      type: string
                      example: Doe
                email:
                  type: string
                  example: john123@gmail.com
                phone:
                  type: object
                  description: Contact details of customer for the order
                  properties:
                    number:
                      type: string
                      example: '55555555555'
                    type:
                      type: string
                      example: MOBILE
                      enum:
                        - MOBILE
                        - HOME
                        - BUSINESS
                pickupType:
                  type: string
                  example: Primary
                  enum:
                    - Primary
                    - Alternate
        required: true
      responses:
        '200':
          description: Pickup information updated
          content:
            application/json:
              schema:
                required:
                  - shipToId
                type: object
                description: Order shipping info
                properties:
                  shipToId:
                    type: string
                    description: >-
                      Unique ID to link item with its shipping address. If all
                      items of an order are shipped to single address, then all
                      items will have same shipTo id. If multiple items of an
                      order are shipped to multiple shipping address, then
                      corresponding shipTo id is linked to each item.
                    example: 5349b4ddd2781d08c09890f4
                  taxCode:
                    type: string
                    description: >-
                      Code for the tax applied for shiping of items to the
                      adress
                    example: FR01
                  locationNum:
                    type: string
                    description: >-
                      Location number to be used for BOPIS (Buy Online Purchase
                      In Store) to identify the pickup store
                    example: '123'
                  pickup:
                    type: array
                    items:
                      type: object
                      description: Details of the person who picks up the order
                      properties:
                        name:
                          type: object
                          description: Name for order details
                          properties:
                            first:
                              type: string
                              example: John
                            middle:
                              type: string
                              example: Middle
                            last:
                              type: string
                              example: Doe
                        email:
                          type: string
                          example: john123@gmail.com
                        phone:
                          type: object
                          description: Contact details of customer for the order
                          properties:
                            number:
                              type: string
                              example: '55555555555'
                            type:
                              type: string
                              example: MOBILE
                              enum:
                                - MOBILE
                                - HOME
                                - BUSINESS
                        pickupType:
                          type: string
                          example: Primary
                          enum:
                            - Primary
                            - Alternate
                  shipToAddress:
                    required:
                      - address1
                    type: object
                    description: Order billing or shipping address
                    properties:
                      name:
                        type: object
                        description: Name for order details
                        properties:
                          first:
                            type: string
                            example: John
                          middle:
                            type: string
                            example: Middle
                          last:
                            type: string
                            example: Doe
                      email:
                        type: string
                        example: john123@gmail.com
                      phone:
                        type: object
                        description: Contact details of customer for the order
                        properties:
                          number:
                            type: string
                            example: '55555555555'
                          type:
                            type: string
                            example: MOBILE
                            enum:
                              - MOBILE
                              - HOME
                              - BUSINESS
                      address1:
                        type: string
                        example: First line of address
                      address2:
                        type: string
                        example: 123 Parking Lot
                      address3:
                        type: string
                        example: Third line of address
                      address4:
                        type: string
                        example: Fourth line of address
                      city:
                        type: string
                        example: Beaumont
                      state:
                        type: string
                        example: TX
                      country:
                        type: string
                        example: USA
                      postalCode:
                        type: string
                        example: '77705'
                      type:
                        type: string
                        example: residence
                      latitude:
                        type: number
                        description: Latitude of the address
                        example: 35.294952
                      longitude:
                        type: number
                        description: Longitude of the address
                        example: 32.294952
                  taxDetail:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                          example: tax
                        value:
                          type: number
                          example: 34.56
                  shipMethod:
                    type: string
                    example: Express Delivery
                  shipToType:
                    type: string
                    example: SHIP_TO_ADDRESS
                  estimatedShipDate:
                    type: string
                    format: date-time
                    example: '2022-05-12T09:30:31.198Z'
                  estimatedDeliveryDate:
                    type: string
                    format: date-time
                    example: '2022-05-12T09:30:31.198Z'
                  shipToPrice:
                    type: number
                    description: Amount applicable for shipping the item to the address
                    example: 20
                  shipToDiscount:
                    type: number
                    description: >-
                      Discount amount applied for shipping the item to the
                      address
                    example: 12.6
                  shipToTaxTotal:
                    type: number
                    description: Total tax applicable to ship the item to the address
                    example: 12.6
                  shipmentInstructions:
                    type: string
                    description: Additional user instructions
                    example: User instructions
                  attributes:
                    type: object
                    additionalProperties:
                      type: object
                      example:
                        isOpenBox: false
                        isOTPDElivery: true
                    example:
                      isOpenBox: false
                      isOTPDElivery: true
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                description: Error response
              example:
                message: Bad request
        '404':
          description: Order not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                description: Error response
              example:
                message: Order not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                description: Error response
              example:
                message: Internal server error
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````